(
	{
		name = "User Input";
		example = "element valueForKeyPath:'userInput.<the input key>'.";
	},
	{
		name = "Qualifier (greater than)";
		example = "<qualifier> := BDKeyValueQualifier keyValueQualifierWithKey:'<key>' operatorSelector:#isGreaterThan: value:<value>.";
	},
	{
		name = "Qualifier (Less than)";
		example = "<qualifier> := BDKeyValueQualifier keyValueQualifierWithKey:'<key>' operatorSelector:#isLessThan: value:<value>.";
	},
	{
		name = "Qualifier (Is Like)";
		example = "<qualifier> := BDQualifier qualifierWhereValueOfKey:'<key>' isLike:<value - * is wildcard>.";
	},
	{
		name = "Qualifier (Is Equal)";
		example = "<qualifier> := BDQualifier qualifierWhereValueOfKey:'<key>' isEqualTo:<value>.";
	},
	{
		name = "Qualifier (And)";
		example = "<qualifiers> := {<yourFirstQualifier>, <yourSecondQualifier>, <etc...>}.
<andQualifier> := (((BDAndQualifier alloc) initWithQualifierArray:<qualifiers>) autorelease).";
	},
	{
		name = "Qualifier (Or)";
		example = "<qualifiers> := {<yourFirstQualifier>, <yourSecondQualifier>, <etc...>}.
<andQualifier> := (((BDOrQualifier alloc) initWithQualifierArray:<qualifiers>) autorelease).";
	},
	{
		name = "Get count using Qualifier";
		example = "(objectContext databaseConnection) resultCountForQualifier:<qualifier> entityName:'<the entity name>'.";
	},
	{
		name = "Get Objects using Qualifier";
		example = "objectContext objectsForEntityNamed:'<the entity name>' matchingQualifier:<the qualifier>.";
	},
	{
		name = "Date as beginning of day";
		example = "<start of day> := <date> dateAsBeginningOfDay.";
	},
	{
		name = "Date as end of day";
		example = "<end of day> := <date> dateAsEndOfDay.";
	},
	{
		name = "If Else";
		example = "(<value> == nil) ifTrue:
		[
			<statement>
		]
		ifFalse:
		[
			<statement>
		].";
	},
	{
		name = "Update running total";
		example = "dataDictionary := element valueForKeyPath:'enclosingReportLayout.data'.
	runningTotal := dataDictionary valueForKey:'runningTotal'.

	(runningTotal == nil) ifTrue:
	[
		runningTotal = 0.
	].

	newTotal := runningTotal + <my row total>.
	dataDictionary setObject:newTotal forKey:'runningTotal'.";
	},
	{
		name = "Get running total";
		example = "element valueForKeyPath:'enclosingReportLayout.data.runningTotal'.";
	},
	{
		name = "Get object from parent row";
		example = "<my object> := element valueForKeyPath:'enclosingReportTableRow.data.object'.";
	},
	{
		name = "Get objects from parent table";
		example = "<my object> := element valueForKeyPath:'enclosingReportTable.data.objects'.";
	},

)